Finalise a presigned upload task once all files have been PUT to S3.
Finalise a presigned upload task once all files have been PUT to S3.
POST
https://staging.softsolz.uk/api/v1/services/smart-chat/kb/documents/import/{task_id}/completeRecent Requests
Log in to see full request historyTimeStatusUser Agent
Make a request to see history.
Path Params
task_idstringrequiredHeaders
AuthorizationstringrequiredBearer token: `Bearer sk_live_...` (or `sk_test_...` for sandbox). A login token will not work here.
Idempotency-KeystringOptional idempotency key for safe retries.
Response
Response Body
task_idstringThe task id.statusstringStatus after finalising.filesarray of objectsVerified files { s3_key, file_name, byte_size }.Request
import { SoftSolz } from '@softsolz/sdk';
const client = new SoftSolz({ apiKey: process.env.SOFTSOLZ_API_KEY });
const result = await client.smartChat.completeKbDocumentsImport('<task_id>', {});console.log(result);Credentials
Sent as a Bearer token. Stored only in your browser.
Response · 200
{ "data": { "task_id": "string", "status": "string", "files": [] }}